import pygame, sys, time, random, os
from pygame.locals import *

# set up pygame
pygame.init()
clock = pygame.time.Clock()
done = False

# set up the colors
BLACK = (0, 0, 0) 
WHITE = (255, 255, 255)
GREEN = (0, 255, 0)
RED = (255, 0, 0)

# set up direction variables
score = 0
check = [False,False,False,False,False,False,False,False]
plus = [pygame.K_q,pygame.K_w,pygame.K_e,pygame.K_r,pygame.K_t,pygame.K_y,pygame.K_u,pygame.K_i]
LEFT = 1



# set up the window
  #--background
background = pygame.image.load('image\Dirigible.png')
screen = pygame.display.set_mode((1366, 768), HWSURFACE | DOUBLEBUF | RESIZABLE | FULLSCREEN)
screen.blit(pygame.transform.scale(background, (1366, 768)), (0, 0))
pygame.display.flip()
pygame.display.set_caption('The Scorch Trials')
  #--box (left, top, width, height)
Rectangle = pygame.draw.rect(screen, BLACK, pygame.Rect(500, 180, 400, 200))
Rectangle = pygame.draw.rect(screen, GREEN, pygame.Rect(600, 700, 226, 50))
  #--text
font1 = pygame.font.SysFont("comicsansms", 45)
font2 = pygame.font.SysFont("comicsansms", 20)
font3 = pygame.font.SysFont("comicsansms", 65)
screen.blit(font1.render("SCORE", True, (WHITE)), (610,190))
screen.blit(font2.render("image credit: openclipart.org", True, (BLACK)), (1070,735))
screen.blit(font1.render("New Game", True, (BLACK)), (600,700))

  #--button



#---------------------------------------------------------------------------------#

while not done:
    
    #quit
    pygame.event.pump()
    event = pygame.event.wait()
    if event.type == QUIT:
        pygame.display.quit()
    elif event.type == pygame.KEYDOWN and event.key == pygame.K_ESCAPE:
        pygame.mixer.music.stop()
        pygame.display.quit()
    #background
    elif event.type == VIDEORESIZE:
        screen = pygame.display.set_mode(event.dict['size'], HWSURFACE | DOUBLEBUF | RESIZABLE)
        screen.blit(pygame.transform.scale(pic, event.dict['size']), (0, 0))
    pygame.display.flip()

    #score
    for i in range(0,8):
        if event.type == pygame.KEYDOWN and event.key == pygame.K_b :
            score -= 1
        elif event.type == pygame.KEYDOWN and event.key == plus[i] and check[i] == False:
            score += 200
            effect = pygame.mixer.Sound('sound\audioclip-1448627626.jpg')
            effect.play()
            check[i] = True
        elif event.type == pygame.MOUSEBUTTONDOWN and event.button == LEFT:
            score = 0
        
             

    Rectangle = pygame.draw.rect(screen, BLACK, pygame.Rect(500, 180, 400, 200))
    screen.blit(font1.render("SCORE", True, (WHITE)), (610,190))
    scoretext = font3.render(str(score).format(score), 1, RED)
    screen.blit(scoretext, (630, 252))
                    
    
    
    #music
    pygame.mixer.music.load('sound\8bit Dungeon Level.mp3')
    #pygame.mixer.music.load('sound\')
    pygame.mixer.music.play(-1)
   
#--------------------------------------------------------------------------------#



